<template>
  <div class="contact-form">
    <div class="contact-form__content">
      <div class="line">
        <cmp-input 
          class="input" 
          name="firstname" 
          placeholder="firstname" />
      </div>
      <div class="line">
        <cmp-input 
          class="input" 
          name="lastname" 
          placeholder="lastname" />
      </div>
      <div class="line">
        <cmp-input 
          class="input" 
          name="street" 
          placeholder="street" />
      </div>
      <div class="line line--small">
        <cmp-input 
          class="input" 
          name="number" 
          placeholder="number" />
      </div>
      <div class="line line--small">
        <cmp-input 
          class="input" 
          name="zip" 
          placeholder="zip" />
      </div>
      <div class="line">
        <cmp-input 
          class="input" 
          name="city" 
          placeholder="city" />
      </div>
      <div class="line line--large">
        <cmp-textarea class="textarea" />
      </div>
    </div>
    <div class="contact-form__footer">
      <cmp-button class="button">Send</cmp-button>
    </div>
  </div>
</template>

<script>
import CmpInput from "./Input";
import CmpButton from "./Button";
import CmpTextarea from "./Textarea";

export default {
  name: "ContactForm",

  components: {
    CmpInput,
    CmpButton,
    CmpTextarea
  },

  data() {
    return {
      query: ""
    };
  }
};
</script>

<style lang="scss">
.contact-form {
  height: 100%;
  width: 600px;
  box-sizing: border-box;

  &__content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 -10px;
  }

  &__content {
    .line {
      margin: 10px;
      flex: 1 1 50%;

      &--small {
        flex: 1 1 200px;
      }

      &--large {
        flex: 1 1 100%;
      }
    }
  }

  &__footer {
    text-align: right;
  }
}
</style>
